Skip to main content
GET
/
v1
/
invoices
/
{id}
Get Invoice
curl --request GET \
  --url https://api.withflex.com/v1/invoices/{id} \
  --header 'Authorization: Bearer <token>'
{
  "invoice": {
    "invoice_id": "obj_01EXAMPLE00000000000000000",
    "total": 0,
    "amount_due": 0,
    "amount_paid": 0,
    "payment_intent": "string",
    "charge": "string",
    "customer": "string",
    "period_end": "string",
    "period_start": "string",
    "subscription": "string",
    "status": "draft",
    "collection_method": "charge_automatically",
    "test_mode": false,
    "metadata": {},
    "created_at": "2024-01-01T00:00:00Z"
  }
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access this API.

Path Parameters

id
string
required
Example:

"obj_01EXAMPLE00000000000000000"

Response

Success

invoice
object
required
Example:
{
"invoice_id": "obj_01EXAMPLE00000000000000000",
"total": 0,
"amount_due": 0,
"amount_paid": 0,
"payment_intent": "string",
"charge": "string",
"customer": "string",
"period_end": "string",
"period_start": "string",
"subscription": "string",
"status": "draft",
"collection_method": "charge_automatically",
"test_mode": false,
"metadata": {},
"created_at": "2024-01-01T00:00:00Z"
}